> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Icd Ten Code

> Get a specific ICD-10 code by its code value.



## OpenAPI

````yaml get /medical-codes/icd-10/{code}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /medical-codes/icd-10/{code}:
    get:
      tags:
        - provider
        - medical-codes
      summary: Get Icd Ten Code
      description: Get a specific ICD-10 code by its code value.
      operationId: get_icd_ten_code_medical_codes_icd_10__code__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: code
          in: path
          required: true
          schema:
            type: string
            title: Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ICDTenCode'
                  - type: 'null'
                title: Response Get Icd Ten Code Medical Codes Icd 10  Code  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ICDTenCode:
      properties:
        code:
          type: string
          title: Code
        shortDesc:
          type: string
          title: Shortdesc
        longDesc:
          anyOf:
            - type: string
            - type: 'null'
          title: Longdesc
        categorical:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Categorical
      type: object
      required:
        - code
        - shortDesc
        - longDesc
        - categorical
      title: ICDTenCode
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````